#!/usr/bin/env bash
USE_GLOW=true
-if ! command -v glow &>/dev/null; then
+if ! command -v glow >/dev/null 2>/dev/null; then
printf "Glow not found, markdown rendering not available."
printf "Output will be raw markdown and might look weird."
printf "Install glow for easier reading & copy-paste."
SKIP_OK=true
for i in "$@"; do
- if [ "$i" == "--help" ] || [ "$i" == "-h" ]; then
+ if [ "$i" = "--help" ] || [ "$i" = "-h" ]; then
printf "%b" "$HELPSTRING"
exit
- elif [ "$i" == "--skip-ok" ]; then
+ elif [ "$i" = "--skip-ok" ]; then
SKIP_OK=true
- elif [ "$i" == "--no-skip-ok" ]; then
+ elif [ "$i" = "--no-skip-ok" ]; then
SKIP_OK=false
- elif [ "$i" == "-v" ]; then
+ elif [ "$i" = "-v" ]; then
SKIP_OK=false
fi
done
printf '\e[1;36m ⤷ \e[1mThe recommended value is: \e[1;3m/run/user/$UID\e[1;0m\n'
fi
-if ! command -v jq &>/dev/null; then
+if ! command -v jq >/dev/null 2>/dev/null; then
printf "jq is needed to run this script, but it wasn't found. Please install it to be able to use this script."
exit
fi